diff --git a/src/common/SurgeSynthesizer.cpp b/src/common/SurgeSynthesizer.cpp
index bdc703c03bd..1a95ed557e4 100644
--- a/src/common/SurgeSynthesizer.cpp
+++ b/src/common/SurgeSynthesizer.cpp
@@ -2129,7 +2129,11 @@ void SurgeSynthesizer::getParameterStringW(long index, float value, wchar_t* ptr
    }
    else if (index >= metaparam_offset)
    {
-      swprintf(ptr, 128, L"%.2f %%", 100.f * value);
+      // For a reason I don't understand, on windows, we need to sprintf then swprinf just the short char
+      // to make just these names work. :shrug:
+      char wideHack[256];
+      snprintf(wideHack, 256, "%.2f %%", 100.f * value ); 
+      swprintf(ptr, 128, L"%s", wideHack);
    }
    else
    {
diff --git a/src/common/dsp/SurgeVoice.cpp b/src/common/dsp/SurgeVoice.cpp
index 3e09d3c02d3..bf6ccbcf881 100644
--- a/src/common/dsp/SurgeVoice.cpp
+++ b/src/common/dsp/SurgeVoice.cpp
@@ -232,7 +232,6 @@ void SurgeVoice::switch_toggled()
          osc[i].reset(spawn_osc(scene->osc[i].type.val.i, storage, &scene->osc[i], localcopy));
          if (osc[i])
          {
-            std::cout << __LINE__ << " init" << std::endl;
             osc[i]->init(state.pitch);
          }
          osctype[i] = scene->osc[i].type.val.i;
